% -------------------------------------------------------------
% Used to produce Figure 1 in the article
% Field noise effects on NMR signals: FID's and 1D spectra,
% by S.Sykora, published in Stan's Library, Volume I, 2006.
% URL: www.ebyte.it/library
% -------------------------------------------------------------
clear;clc;clf;echo on;

r=linspace(0.01,22,500);
fr=2*(1-(1-exp(-r))./r);

plot(r,fr,'-k','LineWidth',2);
hold on
plot(r,r,'-k','LineWidth',1);
hold on
plot(r,2*(1-1./r),'-k','LineWidth',1);
hold on

set(gca,'FontSize',20);
set(gca,'LineWidth',2);
set(gca,'yTick',[1,2]);
set(gca,'xTick',[5,10,15,20]);
axis([0 22 0 2.1]);

