% -------------------------------------------------------------
% Used to produce Figure 2 in the article
% Field noise effects on NMR signals: FID's and 1D spectra,
% by S.Sykora, published in Stan's Library, Volume I, 2006.
% URL: www.ebyte.it/library
% -------------------------------------------------------------

clear;clc;clf;echo on;
r=linspace(0.001,32,1000);
sfr=2*r.*(1-(1-exp(-r))./r);

w = 0.9;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',2);
hold on;

w = 0.8;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',1);
hold on;

w = 0.7;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',2);
hold on;

w = 0.6;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',1);
hold on;

w = 0.5;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',2);
hold on;

w = 0.4;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',1);
hold on;

w = 0.3;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',2);
hold on;

w = 0.2;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',1);
hold on;

w = 0.1;
ear=exp(-w*w*sfr);
plot(r,ear,'-k','LineWidth',2);
hold on;

set(gca,'yScale','log');
set(gca,'FontSize',20);
set(gca,'LineWidth',2);
axis([0 15 0.005 1.2]);
set(gca,'yTick',[0.01,0.1,1]);
set(gca,'xTick',[2,4,6,8,10,12,14]);

