% -------------------------------------------------------------
% Used to produce Figure 3a in the article
% Field noise effects on NMR signals: FID's and 1D spectra,
% by S.Sykora, published in Stan's Library, Volume I, 2006.
% URL: www.ebyte.it/library
% -------------------------------------------------------------

clear;clc;clf;echo on;
rho=linspace(0.01,2.1,1000);
pkr=(sin(3.14159265*rho)/3.14159265).^2;
pkr=sqrt(2*pkr);

gst=1.
gcr=besselj(0,gst*pkr);
plot(rho,gcr,'-k','LineWidth',2);
hold on;

gst=2.
gcr=besselj(0,gst*pkr);
plot(rho,gcr,'-k','LineWidth',2);
hold on;

gst=4.
gcr=besselj(0,gst*pkr);
plot(rho,gcr,'-k','LineWidth',2);
hold on;
gn = exp(-(gst*gst)*(pkr.*pkr)/4);
plot(rho,gn,':k','LineWidth',2);
hold on;

gst=8.
gcr=besselj(0,gst*pkr);
plot(rho,gcr,'-k','LineWidth',2);
hold on;
gn = exp(-(gst*gst)*(pkr.*pkr)/4);
plot(rho,gn,':k','LineWidth',2);
hold on;

gst=16.
gcr=besselj(0,gst*pkr);
plot(rho,gcr,'-k','LineWidth',1);
hold on;
gn = exp(-(gst*gst)*(pkr.*pkr)/4);
plot(rho,gn,':k','LineWidth',2);
hold on;

axis([0 2.1 -0.6 1.1]);
set(gca,'FontSize',20);
set(gca,'LineWidth',2);
set(gca,'yTick',[-0.5,0,0.5,1]);
set(gca,'xTick',[1,2]);

