% -------------------------------------------------------------
% Used to produce Figure 3b in the article
% Field noise effects on NMR signals: FID's and 1D spectra,
% by S.Sykora, published in Stan's Library, Volume I, 2006.
% URL: www.ebyte.it/library
% -------------------------------------------------------------

clear;clc;clf;echo on;
rho=linspace(0.01,100,1024);
pkr=(sin(3.14159265*rho)/3.14159265).^2;
pkr=sqrt(2*pkr);

gst=4;
gcr=besselj(0,gst*pkr).*exp(-0.1*rho);
gcrcomplex=complex(gcr,0);
spectrum=real(fft(gcrcomplex))-0.4;
plot(rho,spectrum,'-k','LineWidth',2);
hold on;
plot(rho,10*spectrum,'-k','LineWidth',1);
hold on;
plot(rho,100*spectrum,'-k','LineWidth',2);

axis([-2 40 0 120]);
set(gca,'FontSize',20);
set(gca,'LineWidth',2);
set(gca,'yTick',[]);
set(gca,'xTick',[]);

