% -------------------------------------------------------------
% Used to produce Figure 4 in the article
% Field noise effects on NMR signals: FID's and 1D spectra,
% by S.Sykora, published in Stan's Library, Volume I, 2006.
% URL: www.ebyte.it/library
% -------------------------------------------------------------
clear;clc;clf;echo on;
rho=linspace(0.01,5.5,500);

eta=complex(0,-1);
arg=2*3.14159265*eta*rho;
pkapparho=2*(rho.*rho).*((1-(1-exp(-arg))./arg)./arg);
plot(rho,real(pkapparho),'-k','LineWidth',2);
hold on;

eta=complex(0.05,-1);
arg=2*3.14159265*eta*rho;
pkapparho=2*(rho.*rho).*((1-(1-exp(-arg))./arg)./arg);
plot(rho,real(pkapparho),'-k','LineWidth',1);
hold on;

eta=complex(0.1,-1);
arg=2*3.14159265*eta*rho;
pkapparho=2*(rho.*rho).*((1-(1-exp(-arg))./arg)./arg);
plot(rho,real(pkapparho),'-k','LineWidth',2);
hold on;

eta=complex(0.15,-1);
arg=2*3.14159265*eta*rho;
pkapparho=2*(rho.*rho).*((1-(1-exp(-arg))./arg)./arg);
plot(rho,real(pkapparho),'-k','LineWidth',1);
hold on;

eta=complex(0.2,-1);
arg=2*3.14159265*eta*rho;
pkapparho=2*(rho.*rho).*((1-(1-exp(-arg))./arg)./arg);
plot(rho,real(pkapparho),'-k','LineWidth',2);
hold on;

axis([0 4.1 0 0.31]);
set(gca,'FontSize',20);
set(gca,'LineWidth',2);
set(gca,'yTick',[0.1,0.2,0.3,0.4,0.5]);
set(gca,'xTick',[1,2,3,4]);

