% -------------------------------------------------------------
% Used to produce Figure 5 in the article
% Field noise effects on NMR signals: FID's and 1D spectra,
% by S.Sykora, published in Stan's Library, Volume I, 2006.
% URL: www.ebyte.it/library
% -------------------------------------------------------------

clear;clc;clf;echo on;
rho=linspace(0.01,85,2000);

kappa=0.02;
w=3;

alfa = acos((1-kappa*kappa)/(1+kappa*kappa));
norm = 1/2/3.14159265/3.14159265/(1+kappa*kappa);
b=2*3.14159265*rho;
pkr=norm*(kappa*b+cos(alfa)-exp(-kappa*b).*cos(b-alfa));
epkr=exp(-w*w*pkr/2);
plot(rho,pkr,'-k','LineWidth',1);
hold on;
plot(rho,epkr,'-k','LineWidth',2);
hold on;
wmax2 = 2*w*w;
rotpkr = (1-exp(-wmax2*pkr/2))./(wmax2*pkr/2);
plot(rho,rotpkr,'-k','LineWidth',1);

axis([0 85 0 1]);
set(gca,'FontSize',20);
set(gca,'LineWidth',2);
set(gca,'yTick',[0.2,0.4,0.6,0.8,1]);
set(gca,'xTick',[20,40,60,80]);

